Bug 90301 - Programs fail at exit if compiled with gcc and cxa_atexit
Summary: Programs fail at exit if compiled with gcc and cxa_atexit
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: glibc (Show other bugs)
(Show other bugs)
Version: 9
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-05-06 16:31 UTC by Calvin Austin
Modified: 2016-11-24 15:16 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-05-06 23:50:41 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2003:325 normal SHIPPED_LIVE : Updated glibc packages provide security and bug fixes 2003-11-12 05:00:00 UTC

Description Calvin Austin 2003-05-06 16:31:28 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.79 [en] (X11; U; Linux 2.4.18-3 i686)

Description of problem:
When running a JDK built with gcc 3.2 with the cxa_atexit option enabled for
backward compatibility, the jvm crashes on exit using the NPTL thread library.
setting LD_ASSUME_KERNEL to 2.4.1 will work.

The error message you will see is from libc_free

This bug has already been diagnosed by ulrich and due to a missing check in
unregister_atfork when freeing the dso handles. The patched unregister_atfork
does work but isn't currently available to redhat 9 users in glibc

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. run a jdk demo compiled with gcc 3.2 , blackdown.org have a public gcc 3.2
version
2.exit demo
3.
    

Additional info:

Comment 1 Ulrich Drepper 2003-05-06 23:50:41 UTC
This is fixed in the upstream glibc archive and will be in the next release.  If
there is a bug fix or security update for glibc it'll be included, too.

Comment 2 Joseph Shraibman 2003-06-23 20:42:44 UTC
Does this effect redhat 8?

Comment 3 Ulrich Drepper 2003-11-04 21:44:59 UTC
If you don't see a problem in RHL8 it won't effect it.  I do not know
the details anymore.

Anyway, a test release of the RHL9 errata is at

  ftp://people.redhat.com/jakub/glibc/errata/2.3.2-27.9.4/           
                                                                    

Give it a try and let us know how it works.


Note You need to log in before you can comment on or make changes to this bug.